Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.feature
Class XLinkedFeatureProperty

    java.lang.Object
      org.deegree.model.feature.XLinkedFeatureProperty

All Implemented Interfaces:
  FeatureProperty

    public class XLinkedFeatureProperty

extends Object
implements FeatureProperty

Feature property instance that does not specify it's content inline, but references a feature instance via an XLink.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`XLinkedFeatureProperty(QualifiedName name, String targetFeatureId)` Creates a new instance of `XLinkedFeatureProperty` from the given parameters.

Method Summary
`QualifiedName` | `getName()` Returns the name of the property.
`Feature` | `getOwner()` Returns the instance of the Feature a Feature property is assigned to.
`String` | `getTargetFeatureId()` Returns the feature id of the target feature.
`Object` | `getValue()` Returns the value of the property.
`Object` | `getValue(Object defaultValue)` Returns the value of the property.
`void` | `setValue(Object value)` Sets the target feature instance that this feature property refers to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XLinkedFeatureProperty

    public XLinkedFeatureProperty(QualifiedName name,
                                  String targetFeatureId)

  Creates a new instance of `XLinkedFeatureProperty` from the given parameters.

  NOTE: After creating, this property has no value. The reference to the target feature has to be resolved first by calling #setValue(java.lang.Object).

  Parameters:
    `name` - feature name
    `targetFeatureId` - id of the feature that this property contains
  See Also:
    `setValue(java.lang.Object)`

Method Detail

### getName

    public QualifiedName getName()

  Returns the name of the property.

  Specified by:
    `getName` in interface `FeatureProperty`
  Returns:
    the name of the property.

### getValue

    public Object getValue()

  Returns the value of the property.

  Specified by:
    `getValue` in interface `FeatureProperty`
  Returns:
    the value of the property.

### getValue

    public Object getValue(Object defaultValue)

  Returns the value of the property.

  Specified by:
    `getValue` in interface `FeatureProperty`
  Returns:
    the value of the property.

### setValue

    public void setValue(Object value)

  Sets the target feature instance that this feature property refers to.

  Specified by:
    `setValue` in interface `FeatureProperty`
  Parameters:
    `value` - feature instance that this feature property refers to
  Throws:
    `RuntimeException` - if the reference has already been resolved

### getOwner

    public Feature getOwner()

  Description copied from interface: `FeatureProperty`
  Returns the instance of the Feature a Feature property is assigned to.

  Specified by:
    `getOwner` in interface `FeatureProperty`
  Returns:
    the instance of the Feature a Feature property is assigned to.

### getTargetFeatureId

    public String getTargetFeatureId()

  Returns the feature id of the target feature.

  Returns:
    the feature id of the target feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org